New Search

Vulnerability in WebKit in Apple Safari before 5.0.3 versions

oval:org.mitre.oval:def:12060

WebKit in Apple Safari before 5.0.3 on Mac OS X 10.5 through 10.6 and Windows and before 4.1.3 on Mac OS X 10.4 does not properly handle the History object which allows remote attackers to spoof the location bar's URL or add URLs to the history via a cross-origin attack.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2010-3810
Product(s):
  • Apple Safari